aboutsummaryrefslogtreecommitdiff
path: root/src/run-tests.sh
diff options
context:
space:
mode:
Diffstat (limited to 'src/run-tests.sh')
-rwxr-xr-xsrc/run-tests.sh12
1 files changed, 12 insertions, 0 deletions
diff --git a/src/run-tests.sh b/src/run-tests.sh
new file mode 100755
index 0000000..aa51958
--- /dev/null
+++ b/src/run-tests.sh
@@ -0,0 +1,12 @@
+#!/bin/sh
+for t in $(cat testlist); do
+
+ echo "Running $t ... "
+ "./$t"
+ ret=$?
+ if [ $ret -eq 0 ]; then
+ echo "OK";
+ else
+ echo "FAIL: $ret"
+ fi
+done